org.apache.fop.render

## Class AbstractImageHandlerGraphics2D

- java.lang.Object
- - org.apache.fop.render.AbstractImageHandlerGraphics2D

All Implemented Interfaces:
  ImageHandler, ImageHandlerBase

Direct Known Subclasses:
  PDFImageHandlerGraphics2D

    public abstract class AbstractImageHandlerGraphics2D
    extends Object
    implements ImageHandler

Abstract base class for ImageHandler implementations that process Java2D images through the Graphics2DImagePainter interface.

### Constructor Summary

Constructors
Constructor and Description
`AbstractImageHandlerGraphics2D()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected BufferedImage` `paintToBufferedImage(org.apache.xmlgraphics.java2d.Graphics2DImagePainter painter, Dimension targetDimension, int resolution, boolean gray, boolean withAlpha)` Paints the image to a BufferedImage and returns that.
`protected void` `setRenderingHintsForBufferedImage(Graphics2D g2d)` Sets rendering hints on the Graphics2D created for painting to a BufferedImage.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.fop.render.ImageHandler

`handleImage, isCompatible`

### Methods inherited from interface org.apache.fop.render.ImageHandlerBase

`getPriority, getSupportedImageClass, getSupportedImageFlavors`

### Constructor Detail

#### AbstractImageHandlerGraphics2D

    public AbstractImageHandlerGraphics2D()

### Method Detail

#### paintToBufferedImage

    protected BufferedImage paintToBufferedImage(org.apache.xmlgraphics.java2d.Graphics2DImagePainter painter,
                                                 Dimension targetDimension,
                                                 int resolution,
                                                 boolean gray,
                                                 boolean withAlpha)

Paints the image to a BufferedImage and returns that.

Parameters:
  `painter` - the painter which will paint the actual image
  `targetDimension` - the target dimensions of the image to be converted to a bitmap
  `resolution` - the requested bitmap resolution
  `gray` - true if the generated image should be in grayscales
  `withAlpha` - true if an alpha channel should be created
Returns:
  the generated BufferedImage

#### setRenderingHintsForBufferedImage

    protected void setRenderingHintsForBufferedImage(Graphics2D g2d)

Sets rendering hints on the Graphics2D created for painting to a BufferedImage. Subclasses can modify the settings to customize the behavior.

Parameters:
  `g2d` - the Graphics2D instance